Jump to content
rookie37

My zoom window macro stopped working

Recommended Posts

rookie37

This macro worked great for years. Now all of a sudden, it stopped.

 

I can't figure out why

 

 

 

(defun c:zw ()
   (setq pt1 (getpoint "\nSelect First Window Point: "))
   (setq pt1 (osnap pt1 "_endp"))
   (setq pt2 (getpoint "\nSelect Second Window Point: "))
   (setq pt2 (osnap pt2 "_endp"))
     (command "zoom"
     "w"
   pt1
   pt2
     ) ; end zoom
    (princ)
) ; end program

Share this post


Link to post
Share on other sites
Lee Mac

Perhaps allow for language changes:

 

(defun c:zw ( / p1 p2 )

 (if (and (setq p1 (getpoint "\nSelect First Window Point: "))
          (setq p1 (osnap p1 "_end"))
          (setq p2 (getcorner "\nSelect Second Window Point: " p1))
          (setq p2 (osnap p2 "_end")))

   (command "_.zoom" "_w" p1 p2)
 )
 (princ)
)

Share this post


Link to post
Share on other sites
alanjt

JIC...

(command "_.zoom" "_endp" PAUSE "_endp" PAUSE)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...